Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.RequestOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.Request`, `ClientWireProtocol.Request.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.RequestOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.AttachToQuery`
`getAttachToQuery()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.AttachToQueryOrBuilder`
`getAttachToQueryOrBuilder()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`ClientWireProtocol.CancelQuery`
`getCancelQuery()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CancelQueryOrBuilder`
`getCancelQueryOrBuilder()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CheckDataRequest`
`getCheckData()`
Deprecated.
xg.cmdcomp.Request.check_data is deprecated.
`ClientWireProtocol.CheckDataRequestOrBuilder`
`getCheckDataOrBuilder()`
Deprecated.
`ClientWireProtocol.ClearCache`
`getClearCache()`
`.xg.cmdcomp.ClearCache clear_cache = 41;`
`ClientWireProtocol.ClearCacheOrBuilder`
`getClearCacheOrBuilder()`
`.xg.cmdcomp.ClearCache clear_cache = 41;`
`ClientWireProtocol.ClientConnection`
`getClientConnection()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnection2`
`getClientConnection2()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection2OrBuilder`
`getClientConnection2OrBuilder()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnectionGCM`
`getClientConnectionGcm()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionGCM2`
`getClientConnectionGcm2()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCM2OrBuilder`
`getClientConnectionGcm2OrBuilder()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`ClientWireProtocol.ClientConnectionGCMOrBuilder`
`getClientConnectionGcmOrBuilder()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`ClientWireProtocol.ClientConnectionOrBuilder`
`getClientConnectionOrBuilder()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnectionRefreshSession`
`getClientConnectionRefreshSession()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder`
`getClientConnectionRefreshSessionOrBuilder()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`ClientWireProtocol.ClientConnectionRefreshToken`
`getClientConnectionRefreshToken()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder`
`getClientConnectionRefreshTokenOrBuilder()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`ClientWireProtocol.ClientConnectionSecurityToken`
`getClientConnectionSecurityToken()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
`getClientConnectionSecurityTokenOrBuilder()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`ClientWireProtocol.ClientConnectionSSO`
`getClientConnectionSso()`
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`
`ClientWireProtocol.ClientConnectionSSO2`
`getClientConnectionSso2()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.ClientConnectionSSO2OrBuilder`
`getClientConnectionSso2OrBuilder()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`ClientWireProtocol.ClientConnectionSSOOrBuilder`
`getClientConnectionSsoOrBuilder()`
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`
`ClientWireProtocol.CloseConnection`
`getCloseConnection()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseConnectionOrBuilder`
`getCloseConnectionOrBuilder()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseResultSet`
`getCloseResultSet()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.CloseResultSetOrBuilder`
`getCloseResultSetOrBuilder()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.ExecuteExplain`
`getExecuteExplain()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExplainForSpark`
`getExecuteExplainForSpark()`
Spark Deprecated
`ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
`getExecuteExplainForSparkOrBuilder()`
Spark Deprecated
`ClientWireProtocol.ExecuteExplainOrBuilder`
`getExecuteExplainOrBuilder()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExport`
`getExecuteExport()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteExportOrBuilder`
`getExecuteExportOrBuilder()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteInlinePlan`
`getExecuteInlinePlan()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecuteInlinePlanOrBuilder`
`getExecuteInlinePlanOrBuilder()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecutePlan`
`getExecutePlan()`
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecutePlanOrBuilder`
`getExecutePlanOrBuilder()`
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecuteQuery`
`getExecuteQuery()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteQueryOrBuilder`
`getExecuteQueryOrBuilder()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteUpdate`
`getExecuteUpdate()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExecuteUpdateOrBuilder`
`getExecuteUpdateOrBuilder()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExplainPipelineRequest`
`getExplainPipeline()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPipelineRequestOrBuilder`
`getExplainPipelineOrBuilder()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`ClientWireProtocol.ExplainPlan`
`getExplainPlan()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.ExplainPlanOrBuilder`
`getExplainPlanOrBuilder()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.FetchAuthenticators`
`getFetchAuthenticators()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.FetchAuthenticatorsOrBuilder`
`getFetchAuthenticatorsOrBuilder()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`ClientWireProtocol.FetchData`
`getFetchData()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchDataOrBuilder`
`getFetchDataOrBuilder()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchMetadata`
`getFetchMetadata()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchMetadataOrBuilder`
`getFetchMetadataOrBuilder()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchSystemMetadata`
`getFetchSystemMetadata()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchSystemMetadataOrBuilder`
`getFetchSystemMetadataOrBuilder()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.ForceExternal`
`getForceExternal()`
Deprecated.
xg.cmdcomp.Request.force_external is deprecated.
`ClientWireProtocol.ForceExternalOrBuilder`
`getForceExternalOrBuilder()`
Deprecated.
`ClientWireProtocol.GetSchema`
`getGetSchema()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.GetSchemaOrBuilder`
`getGetSchemaOrBuilder()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.KillQuery`
`getKillQuery()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.KillQueryOrBuilder`
`getKillQueryOrBuilder()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.ListPlan`
`getListPlan()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.ListPlanOrBuilder`
`getListPlanOrBuilder()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.LocalQueries`
`getLocalQueries()`
`.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.LocalQueriesOrBuilder`
`getLocalQueriesOrBuilder()`
`.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.Request.RequestOneofCase`
`getRequestOneofCase()`
`ClientWireProtocol.SetParameter`
`getSetParameter()`
31 is defined above
`ClientWireProtocol.SetParameterOrBuilder`
`getSetParameterOrBuilder()`
31 is defined above
`ClientWireProtocol.SetSchema`
`getSetSchema()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SetSchemaOrBuilder`
`getSetSchemaOrBuilder()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SystemWideCompletedQueries`
`getSystemWideCompletedQueries()`
Deprecated
`ClientWireProtocol.SystemWideCompletedQueriesOrBuilder`
`getSystemWideCompletedQueriesOrBuilder()`
Deprecated
`ClientWireProtocol.SystemWideQueries`
`getSystemWideQueries()`
Deprecated
`ClientWireProtocol.SystemWideQueriesOrBuilder`
`getSystemWideQueriesOrBuilder()`
Deprecated
`ClientWireProtocol.TestConnection`
`getTestConnection()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.TestConnectionOrBuilder`
`getTestConnectionOrBuilder()`
`.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.RequestType`
`getType()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`int`
`getTypeValue()`
`.xg.cmdcomp.Request.RequestType type = 1;`
`boolean`
`hasAttachToQuery()`
SetPSO set_pso = 27; // Deprecated 28 is defined above 29 is defined above
`boolean`
`hasCancelQuery()`
`.xg.cmdcomp.CancelQuery cancel_query = 17;`
`boolean`
`hasCheckData()`
Deprecated.
xg.cmdcomp.Request.check_data is deprecated.
`boolean`
`hasClearCache()`
`.xg.cmdcomp.ClearCache clear_cache = 41;`
`boolean`
`hasClientConnection()`
`.xg.cmdcomp.ClientConnection client_connection = 2;`
`boolean`
`hasClientConnection2()`
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`boolean`
`hasClientConnectionGcm()`
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`
`boolean`
`hasClientConnectionGcm2()`
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`
`boolean`
`hasClientConnectionRefreshSession()`
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`
`boolean`
`hasClientConnectionRefreshToken()`
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`
`boolean`
`hasClientConnectionSecurityToken()`
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`
`boolean`
`hasClientConnectionSso()`
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`
`boolean`
`hasClientConnectionSso2()`
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`
`boolean`
`hasCloseConnection()`
`.xg.cmdcomp.CloseConnection close_connection = 5;`
`boolean`
`hasCloseResultSet()`
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`boolean`
`hasExecuteExplain()`
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`boolean`
`hasExecuteExplainForSpark()`
Spark Deprecated
`boolean`
`hasExecuteExport()`
`.xg.cmdcomp.ExecuteExport execute_export = 26;`
`boolean`
`hasExecuteInlinePlan()`
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`boolean`
`hasExecutePlan()`
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`boolean`
`hasExecuteQuery()`
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`boolean`
`hasExecuteUpdate()`
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`boolean`
`hasExplainPipeline()`
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`
`boolean`
`hasExplainPlan()`
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`boolean`
`hasFetchAuthenticators()`
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`
`boolean`
`hasFetchData()`
`.xg.cmdcomp.FetchData fetch_data = 8;`
`boolean`
`hasFetchMetadata()`
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`boolean`
`hasFetchSystemMetadata()`
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`boolean`
`hasForceExternal()`
Deprecated.
xg.cmdcomp.Request.force_external is deprecated.
`boolean`
`hasGetSchema()`
`.xg.cmdcomp.GetSchema get_schema = 4;`
`boolean`
`hasKillQuery()`
`.xg.cmdcomp.KillQuery kill_query = 23;`
`boolean`
`hasListPlan()`
`.xg.cmdcomp.ListPlan list_plan = 22;`
`boolean`
`hasLocalQueries()`
`.xg.cmdcomp.LocalQueries local_queries = 19;`
`boolean`
`hasSetParameter()`
31 is defined above
`boolean`
`hasSetSchema()`
`.xg.cmdcomp.SetSchema set_schema = 6;`
`boolean`
`hasSystemWideCompletedQueries()`
Deprecated
`boolean`
`hasSystemWideQueries()`
Deprecated
`boolean`
`hasTestConnection()`
`.xg.cmdcomp.TestConnection test_connection = 7;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getTypeValue

int getTypeValue()
`.xg.cmdcomp.Request.RequestType type = 1;`

Returns:
  The enum numeric value on the wire for type.

### getType

ClientWireProtocol.Request.RequestType getType()
`.xg.cmdcomp.Request.RequestType type = 1;`

Returns:
  The type.

### hasClientConnection

boolean hasClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

Returns:
  Whether the clientConnection field is set.

### getClientConnection

ClientWireProtocol.ClientConnection getClientConnection()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

Returns:
  The clientConnection.

### getClientConnectionOrBuilder

ClientWireProtocol.ClientConnectionOrBuilder getClientConnectionOrBuilder()
`.xg.cmdcomp.ClientConnection client_connection = 2;`

### hasClientConnection2

boolean hasClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Returns:
  Whether the clientConnection2 field is set.

### getClientConnection2

ClientWireProtocol.ClientConnection2 getClientConnection2()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Returns:
  The clientConnection2.

### getClientConnection2OrBuilder

ClientWireProtocol.ClientConnection2OrBuilder getClientConnection2OrBuilder()
`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

### hasGetSchema

boolean hasGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

Returns:
  Whether the getSchema field is set.

### getGetSchema

ClientWireProtocol.GetSchema getGetSchema()
`.xg.cmdcomp.GetSchema get_schema = 4;`

Returns:
  The getSchema.

### getGetSchemaOrBuilder

ClientWireProtocol.GetSchemaOrBuilder getGetSchemaOrBuilder()
`.xg.cmdcomp.GetSchema get_schema = 4;`

### hasCloseConnection

boolean hasCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

Returns:
  Whether the closeConnection field is set.

### getCloseConnection

ClientWireProtocol.CloseConnection getCloseConnection()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

Returns:
  The closeConnection.

### getCloseConnectionOrBuilder

ClientWireProtocol.CloseConnectionOrBuilder getCloseConnectionOrBuilder()
`.xg.cmdcomp.CloseConnection close_connection = 5;`

### hasSetSchema

boolean hasSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

Returns:
  Whether the setSchema field is set.

### getSetSchema

ClientWireProtocol.SetSchema getSetSchema()
`.xg.cmdcomp.SetSchema set_schema = 6;`

Returns:
  The setSchema.

### getSetSchemaOrBuilder

ClientWireProtocol.SetSchemaOrBuilder getSetSchemaOrBuilder()
`.xg.cmdcomp.SetSchema set_schema = 6;`

### hasTestConnection

boolean hasTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

Returns:
  Whether the testConnection field is set.

### getTestConnection

ClientWireProtocol.TestConnection getTestConnection()
`.xg.cmdcomp.TestConnection test_connection = 7;`

Returns:
  The testConnection.

### getTestConnectionOrBuilder

ClientWireProtocol.TestConnectionOrBuilder getTestConnectionOrBuilder()
`.xg.cmdcomp.TestConnection test_connection = 7;`

### hasFetchData

boolean hasFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

Returns:
  Whether the fetchData field is set.

### getFetchData

ClientWireProtocol.FetchData getFetchData()
`.xg.cmdcomp.FetchData fetch_data = 8;`

Returns:
  The fetchData.

### getFetchDataOrBuilder

ClientWireProtocol.FetchDataOrBuilder getFetchDataOrBuilder()
`.xg.cmdcomp.FetchData fetch_data = 8;`

### hasFetchMetadata

boolean hasFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Returns:
  Whether the fetchMetadata field is set.

### getFetchMetadata

ClientWireProtocol.FetchMetadata getFetchMetadata()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Returns:
  The fetchMetadata.

### getFetchMetadataOrBuilder

ClientWireProtocol.FetchMetadataOrBuilder getFetchMetadataOrBuilder()
`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

### hasCloseResultSet

boolean hasCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Returns:
  Whether the closeResultSet field is set.

### getCloseResultSet

ClientWireProtocol.CloseResultSet getCloseResultSet()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Returns:
  The closeResultSet.

### getCloseResultSetOrBuilder

ClientWireProtocol.CloseResultSetOrBuilder getCloseResultSetOrBuilder()
`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

### hasExecuteQuery

boolean hasExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Returns:
  Whether the executeQuery field is set.

### getExecuteQuery

ClientWireProtocol.ExecuteQuery getExecuteQuery()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Returns:
  The executeQuery.

### getExecuteQueryOrBuilder

ClientWireProtocol.ExecuteQueryOrBuilder getExecuteQueryOrBuilder()
`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

### hasExecuteExplain

boolean hasExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Returns:
  Whether the executeExplain field is set.

### getExecuteExplain

ClientWireProtocol.ExecuteExplain getExecuteExplain()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Returns:
  The executeExplain.

### getExecuteExplainOrBuilder

ClientWireProtocol.ExecuteExplainOrBuilder getExecuteExplainOrBuilder()
`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

### hasExecuteExplainForSpark

boolean hasExecuteExplainForSpark()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Returns:
  Whether the executeExplainForSpark field is set.

### getExecuteExplainForSpark

ClientWireProtocol.ExecuteExplainForSpark getExecuteExplainForSpark()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Returns:
  The executeExplainForSpark.

### getExecuteExplainForSparkOrBuilder

ClientWireProtocol.ExecuteExplainForSparkOrBuilder getExecuteExplainForSparkOrBuilder()

     Spark Deprecated

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

### hasExecuteUpdate

boolean hasExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Returns:
  Whether the executeUpdate field is set.

### getExecuteUpdate

ClientWireProtocol.ExecuteUpdate getExecuteUpdate()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Returns:
  The executeUpdate.

### getExecuteUpdateOrBuilder

ClientWireProtocol.ExecuteUpdateOrBuilder getExecuteUpdateOrBuilder()
`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

### hasFetchSystemMetadata

boolean hasFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Returns:
  Whether the fetchSystemMetadata field is set.

### getFetchSystemMetadata

ClientWireProtocol.FetchSystemMetadata getFetchSystemMetadata()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Returns:
  The fetchSystemMetadata.

### getFetchSystemMetadataOrBuilder

ClientWireProtocol.FetchSystemMetadataOrBuilder getFetchSystemMetadataOrBuilder()
`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

### hasCancelQuery

boolean hasCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Returns:
  Whether the cancelQuery field is set.

### getCancelQuery

ClientWireProtocol.CancelQuery getCancelQuery()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Returns:
  The cancelQuery.

### getCancelQueryOrBuilder

ClientWireProtocol.CancelQueryOrBuilder getCancelQueryOrBuilder()
`.xg.cmdcomp.CancelQuery cancel_query = 17;`

### hasSystemWideQueries

boolean hasSystemWideQueries()

     Deprecated

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Returns:
  Whether the systemWideQueries field is set.

### getSystemWideQueries

ClientWireProtocol.SystemWideQueries getSystemWideQueries()

     Deprecated

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Returns:
  The systemWideQueries.

### getSystemWideQueriesOrBuilder

ClientWireProtocol.SystemWideQueriesOrBuilder getSystemWideQueriesOrBuilder()

     Deprecated

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

### hasLocalQueries

boolean hasLocalQueries()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

Returns:
  Whether the localQueries field is set.

### getLocalQueries

ClientWireProtocol.LocalQueries getLocalQueries()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

Returns:
  The localQueries.

### getLocalQueriesOrBuilder

ClientWireProtocol.LocalQueriesOrBuilder getLocalQueriesOrBuilder()
`.xg.cmdcomp.LocalQueries local_queries = 19;`

### hasSystemWideCompletedQueries

boolean hasSystemWideCompletedQueries()

     Deprecated

`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

Returns:
  Whether the systemWideCompletedQueries field is set.

### getSystemWideCompletedQueries

ClientWireProtocol.SystemWideCompletedQueries getSystemWideCompletedQueries()

     Deprecated

`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

Returns:
  The systemWideCompletedQueries.

### getSystemWideCompletedQueriesOrBuilder

ClientWireProtocol.SystemWideCompletedQueriesOrBuilder getSystemWideCompletedQueriesOrBuilder()

     Deprecated

`.xg.cmdcomp.SystemWideCompletedQueries system_wide_completed_queries = 31;`

### hasExecutePlan

boolean hasExecutePlan()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Returns:
  Whether the executePlan field is set.

### getExecutePlan

ClientWireProtocol.ExecutePlan getExecutePlan()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Returns:
  The executePlan.

### getExecutePlanOrBuilder

ClientWireProtocol.ExecutePlanOrBuilder getExecutePlanOrBuilder()
`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

### hasExplainPlan

boolean hasExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Returns:
  Whether the explainPlan field is set.

### getExplainPlan

ClientWireProtocol.ExplainPlan getExplainPlan()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Returns:
  The explainPlan.

### getExplainPlanOrBuilder

ClientWireProtocol.ExplainPlanOrBuilder getExplainPlanOrBuilder()
`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

### hasListPlan

boolean hasListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

Returns:
  Whether the listPlan field is set.

### getListPlan

ClientWireProtocol.ListPlan getListPlan()
`.xg.cmdcomp.ListPlan list_plan = 22;`

Returns:
  The listPlan.

### getListPlanOrBuilder

ClientWireProtocol.ListPlanOrBuilder getListPlanOrBuilder()
`.xg.cmdcomp.ListPlan list_plan = 22;`

### hasKillQuery

boolean hasKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

Returns:
  Whether the killQuery field is set.

### getKillQuery

ClientWireProtocol.KillQuery getKillQuery()
`.xg.cmdcomp.KillQuery kill_query = 23;`

Returns:
  The killQuery.

### getKillQueryOrBuilder

ClientWireProtocol.KillQueryOrBuilder getKillQueryOrBuilder()
`.xg.cmdcomp.KillQuery kill_query = 23;`

### hasExecuteInlinePlan

boolean hasExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Returns:
  Whether the executeInlinePlan field is set.

### getExecuteInlinePlan

ClientWireProtocol.ExecuteInlinePlan getExecuteInlinePlan()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Returns:
  The executeInlinePlan.

### getExecuteInlinePlanOrBuilder

ClientWireProtocol.ExecuteInlinePlanOrBuilder getExecuteInlinePlanOrBuilder()
`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

### hasForceExternal

@Deprecated boolean hasForceExternal()
Deprecated.
xg.cmdcomp.Request.force_external is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=577
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

Returns:
  Whether the forceExternal field is set.

### getForceExternal

@Deprecated ClientWireProtocol.ForceExternal getForceExternal()
Deprecated.
xg.cmdcomp.Request.force_external is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=577
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

Returns:
  The forceExternal.

### getForceExternalOrBuilder

@Deprecated ClientWireProtocol.ForceExternalOrBuilder getForceExternalOrBuilder()
Deprecated.
`.xg.cmdcomp.ForceExternal force_external = 25 [deprecated = true];`

### hasExecuteExport

boolean hasExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Returns:
  Whether the executeExport field is set.

### getExecuteExport

ClientWireProtocol.ExecuteExport getExecuteExport()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Returns:
  The executeExport.

### getExecuteExportOrBuilder

ClientWireProtocol.ExecuteExportOrBuilder getExecuteExportOrBuilder()
`.xg.cmdcomp.ExecuteExport execute_export = 26;`

### hasAttachToQuery

boolean hasAttachToQuery()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

Returns:
  Whether the attachToQuery field is set.

### getAttachToQuery

ClientWireProtocol.AttachToQuery getAttachToQuery()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

Returns:
  The attachToQuery.

### getAttachToQueryOrBuilder

ClientWireProtocol.AttachToQueryOrBuilder getAttachToQueryOrBuilder()

     SetPSO set_pso = 27; // Deprecated
     28 is defined above
     29 is defined above

`.xg.cmdcomp.AttachToQuery attach_to_query = 30;`

### hasSetParameter

boolean hasSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

Returns:
  Whether the setParameter field is set.

### getSetParameter

ClientWireProtocol.SetParameter getSetParameter()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

Returns:
  The setParameter.

### getSetParameterOrBuilder

ClientWireProtocol.SetParameterOrBuilder getSetParameterOrBuilder()

     31 is defined above

`.xg.cmdcomp.SetParameter set_parameter = 35;`

### hasExplainPipeline

boolean hasExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

Returns:
  Whether the explainPipeline field is set.

### getExplainPipeline

ClientWireProtocol.ExplainPipelineRequest getExplainPipeline()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

Returns:
  The explainPipeline.

### getExplainPipelineOrBuilder

ClientWireProtocol.ExplainPipelineRequestOrBuilder getExplainPipelineOrBuilder()
`.xg.cmdcomp.ExplainPipelineRequest explain_pipeline = 36;`

### hasClientConnectionGcm

boolean hasClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

Returns:
  Whether the clientConnectionGcm field is set.

### getClientConnectionGcm

ClientWireProtocol.ClientConnectionGCM getClientConnectionGcm()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

Returns:
  The clientConnectionGcm.

### getClientConnectionGcmOrBuilder

ClientWireProtocol.ClientConnectionGCMOrBuilder getClientConnectionGcmOrBuilder()
`.xg.cmdcomp.ClientConnectionGCM client_connection_gcm = 37;`

### hasClientConnectionGcm2

boolean hasClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

Returns:
  Whether the clientConnectionGcm2 field is set.

### getClientConnectionGcm2

ClientWireProtocol.ClientConnectionGCM2 getClientConnectionGcm2()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

Returns:
  The clientConnectionGcm2.

### getClientConnectionGcm2OrBuilder

ClientWireProtocol.ClientConnectionGCM2OrBuilder getClientConnectionGcm2OrBuilder()
`.xg.cmdcomp.ClientConnectionGCM2 client_connection_gcm2 = 38;`

### hasCheckData

@Deprecated boolean hasCheckData()
Deprecated.
xg.cmdcomp.Request.check_data is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=588
`.xg.cmdcomp.CheckDataRequest check_data = 39 [deprecated = true];`

Returns:
  Whether the checkData field is set.

### getCheckData

@Deprecated ClientWireProtocol.CheckDataRequest getCheckData()
Deprecated.
xg.cmdcomp.Request.check_data is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=588
`.xg.cmdcomp.CheckDataRequest check_data = 39 [deprecated = true];`

Returns:
  The checkData.

### getCheckDataOrBuilder

@Deprecated ClientWireProtocol.CheckDataRequestOrBuilder getCheckDataOrBuilder()
Deprecated.
`.xg.cmdcomp.CheckDataRequest check_data = 39 [deprecated = true];`

### hasClearCache

boolean hasClearCache()
`.xg.cmdcomp.ClearCache clear_cache = 41;`

Returns:
  Whether the clearCache field is set.

### getClearCache

ClientWireProtocol.ClearCache getClearCache()
`.xg.cmdcomp.ClearCache clear_cache = 41;`

Returns:
  The clearCache.

### getClearCacheOrBuilder

ClientWireProtocol.ClearCacheOrBuilder getClearCacheOrBuilder()
`.xg.cmdcomp.ClearCache clear_cache = 41;`

### hasClientConnectionSso

boolean hasClientConnectionSso()
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

Returns:
  Whether the clientConnectionSso field is set.

### getClientConnectionSso

ClientWireProtocol.ClientConnectionSSO getClientConnectionSso()
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

Returns:
  The clientConnectionSso.

### getClientConnectionSsoOrBuilder

ClientWireProtocol.ClientConnectionSSOOrBuilder getClientConnectionSsoOrBuilder()
`.xg.cmdcomp.ClientConnectionSSO client_connection_sso = 42;`

### hasClientConnectionSso2

boolean hasClientConnectionSso2()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

Returns:
  Whether the clientConnectionSso2 field is set.

### getClientConnectionSso2

ClientWireProtocol.ClientConnectionSSO2 getClientConnectionSso2()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

Returns:
  The clientConnectionSso2.

### getClientConnectionSso2OrBuilder

ClientWireProtocol.ClientConnectionSSO2OrBuilder getClientConnectionSso2OrBuilder()
`.xg.cmdcomp.ClientConnectionSSO2 client_connection_sso2 = 43;`

### hasClientConnectionSecurityToken

boolean hasClientConnectionSecurityToken()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

Returns:
  Whether the clientConnectionSecurityToken field is set.

### getClientConnectionSecurityToken

ClientWireProtocol.ClientConnectionSecurityToken getClientConnectionSecurityToken()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

Returns:
  The clientConnectionSecurityToken.

### getClientConnectionSecurityTokenOrBuilder

ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder getClientConnectionSecurityTokenOrBuilder()
`.xg.cmdcomp.ClientConnectionSecurityToken client_connection_security_token = 44;`

### hasClientConnectionRefreshSession

boolean hasClientConnectionRefreshSession()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

Returns:
  Whether the clientConnectionRefreshSession field is set.

### getClientConnectionRefreshSession

ClientWireProtocol.ClientConnectionRefreshSession getClientConnectionRefreshSession()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

Returns:
  The clientConnectionRefreshSession.

### getClientConnectionRefreshSessionOrBuilder

ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder getClientConnectionRefreshSessionOrBuilder()
`.xg.cmdcomp.ClientConnectionRefreshSession client_connection_refresh_session = 45;`

### hasClientConnectionRefreshToken

boolean hasClientConnectionRefreshToken()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

Returns:
  Whether the clientConnectionRefreshToken field is set.

### getClientConnectionRefreshToken

ClientWireProtocol.ClientConnectionRefreshToken getClientConnectionRefreshToken()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

Returns:
  The clientConnectionRefreshToken.

### getClientConnectionRefreshTokenOrBuilder

ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder getClientConnectionRefreshTokenOrBuilder()
`.xg.cmdcomp.ClientConnectionRefreshToken client_connection_refresh_token = 46;`

### hasFetchAuthenticators

boolean hasFetchAuthenticators()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

Returns:
  Whether the fetchAuthenticators field is set.

### getFetchAuthenticators

ClientWireProtocol.FetchAuthenticators getFetchAuthenticators()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

Returns:
  The fetchAuthenticators.

### getFetchAuthenticatorsOrBuilder

ClientWireProtocol.FetchAuthenticatorsOrBuilder getFetchAuthenticatorsOrBuilder()
`.xg.cmdcomp.FetchAuthenticators fetch_authenticators = 51;`

### getRequestOneofCase

ClientWireProtocol.Request.RequestOneofCase getRequestOneofCase()